// ThumbListDlg.cpp : implementation file
//

#include "stdafx.h"
#include "ThumbList.h"
#include "ThumbListDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

#define IDC_THMBLIST 1020

/////////////////////////////////////////////////////////////////////////////
// CThumbListDlg dialog

CThumbListDlg::CThumbListDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CThumbListDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CThumbListDlg)
	m_strFolder = _T("");
	//}}AFX_DATA_INIT
	// Note that LoadIcon does not require a subsequent DestroyIcon in Win32
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CThumbListDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CThumbListDlg)
	DDX_Text(pDX, IDC_FOLDER, m_strFolder);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CThumbListDlg, CDialog)
	//{{AFX_MSG_MAP(CThumbListDlg)
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	ON_BN_CLICKED(IDC_CHNGFOLDER, OnChngfolder)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CThumbListDlg message handlers

BOOL CThumbListDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon
	
	CRect rect;
	CWnd* pWnd = GetDlgItem(IDC_THUMBTEMP);
	pWnd->GetWindowRect(rect);
	ScreenToClient(rect);
	m_thumbsCtrl.Create(WS_CHILD|WS_HSCROLL|WS_VSCROLL|LVS_ICON|WS_VISIBLE|WS_BORDER, rect, this, IDC_THMBLIST);
	m_thumbsCtrl.setFileExt("gif");
	
	return TRUE;  // return TRUE  unless you set the focus to a control
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CThumbListDlg::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// The system calls this to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CThumbListDlg::OnQueryDragIcon()
{
	return (HCURSOR) m_hIcon;
}

void CThumbListDlg::OnChngfolder() 
{
	UpdateData();

	m_thumbsCtrl.showFilesFromFolder(m_strFolder);		
}
